const fs = require("fs");
const path = require("path");
const sass = require("sass");
const glob = require("glob");
const consola = require("consola");
const config = require("../config");
const targetGlob = `${config.paths.src}/**/*.scss`;
const yargs = require("yargs/yargs");
const { hideBin } = require("yargs/helpers");
const argv = yargs(hideBin(process.argv)).argv;

const dest = argv.dest || config.paths.dest;

glob(targetGlob, (err, matches) => {
  matches.forEach((src) => {
    const fileName = path.basename(src, ".scss");
    let destFolder = "";
    if (argv.dest) {
      destFolder = argv.dest;
    } else {
      const dir = path.normalize(path.dirname(src));
      destFolder = dir.replace(
        path.normalize(config.paths.src),
        path.normalize(config.paths.dest)
      );
    }

    const fileDest = path.resolve(destFolder, `./${fileName}.css`);

    fs.mkdirSync(destFolder, { recursive: true });
    const result = sass.compile(src, {
      loadPaths: [
        path.resolve(__dirname, "../node_modules"),
        path.resolve(__dirname, "../node_modules"),
      ],
    });
    if (fs.existsSync(fileDest)) fs.unlinkSync(fileDest);
    fs.writeFileSync(fileDest, result.css, "utf-8");
  });
  consola.success("Process completed");
});
